
#language: ru

@SalesOfProducts

Функционал: 017. SalesOfProducts. Оформление расхождений и проверка распоряжений

Сценарий: 017.1. SalesOfProducts. Оформление излишков и недостач

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.017. Реализация товаров"
	Дано я удаляю объекты "Документы.к2РаспоряжениеНаПриемку" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Оформление излишков и недостач'
	Тогда открылось окно 'Оформление излишков и недостач'
	И в поле 'Период' я ввожу текст '14.11.2029'
	И я нажимаю кнопку выбора у поля "Склад"
	Тогда открылось окно 'Список значений'
	И я нажимаю на кнопку с именем 'Add'
	И в таблице "ValueList" из выпадающего списка "Значение" я выбираю по строке 'Сырная ГП'
	И в таблице "ValueList" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Оформление излишков и недостач'
	И я нажимаю на кнопку 'ДеревоИзлишковОбновитьДерево'
	И в таблице "ДеревоИзлишков" я перехожу к строке:
		| 'Склад\Задание\Номенклатура' |
		| 'Сырная ГП'                  |
	И в таблице "ДеревоИзлишков" я разворачиваю текущую строку с подчиненными
	И в таблице "ДеревоИзлишков" я перехожу к строке:
		| 'Количество' | 
		| '-2,000'     |
	И в таблице "ДеревоИзлишков" я разворачиваю текущую строку
	И в таблице "ДеревоИзлишков" я перехожу к строке:
		| 'Количество' | 'Склад\Задание\Номенклатура'                                   |
		| '2,000'      | 'Сыр Адыгейский <Без маркировки> 000001 до 01.11.2019 0:00:00' |
	Тогда таблица "ПричиныРасхождений" содержит строки:
		| 'Количество' | 'Причина расхождения'          |
		| '2,000'      | 'Изменилось количество товара' |
		| '5,000'      | ''                             |
		| '-5,000'     | ''                             |
	И в таблице "ДеревоИзлишков" я перехожу к строке:
		| 'Количество' | 'Склад\Задание\Номенклатура'                                   |
		| '-3,000'     | 'Сыр Адыгейский <Без маркировки> 000001 до 01.11.2019 0:00:00' |
	Тогда таблица "ПричиныРасхождений" стала равной:
		| 'Количество' | 'Причина расхождения' |
		| '5,000'      | ''                    |
		| '-8,000'     | ''                    |
	И в таблице "ДеревоИзлишков" я перехожу к строке:
		| 'Количество' | 'Склад\Задание\Номенклатура'                                    |
		| '-3,000'     | 'Сыр Костромской <Без маркировки> 000001 до 03.11.2019 0:00:00' |
	Тогда таблица "ПричиныРасхождений" содержит строки:
		| 'Количество' | 'Причина расхождения'          |
		| '-3,000'     | 'Изменилось количество товара' |
		| '5,000'      | ''                             |
		| '-5,000'     | ''                             |
	И в таблице "ДеревоИзлишков" я перехожу к строке:
		| 'Количество' | 'Склад\Задание\Номенклатура'                                    |
		| '2,000'      | 'Сыр Костромской <Без маркировки> 000001 до 03.11.2019 0:00:00' |
	Тогда таблица "ПричиныРасхождений" стала равной:
		| 'Количество' | 'Причина расхождения' |
		| '5,000'      | ''                    |
		| '-3,000'     | ''                    |
	И в таблице "ДеревоИзлишков" я перехожу к строке:
		| 'Количество' | 
		| '-2,000'     |
	И я нажимаю на кнопку "Оформить расхождения"
	И Я закрываю окно 'Оформление излишков и недостач'
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: 017.2. SalesOfProducts. Проверка распоряжения на отгрузку

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на отгрузку'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Список" я перехожу к строке:
		| 'Склад'     | 'План отгрузки' |
		| 'Сырная ГП' | ''              |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на отгрузку * от *'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура'    | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '3,000'      | 'кг'  | 'Сыр Адыгейский'  | '<Без маркировки>' | '000001 до 01.11.2019 0:00:00' | '3,000, кг'      | '3'       |
		| '3,000'      | 'кг'  | 'Сыр Костромской' | '<Без маркировки>' | '000001 до 03.11.2019 0:00:00' | '3,000, кг'      | '3'       |
	* Проверка способа создания
		И элемент формы 'Способ создания' стал равен 'АРМ "Оформление излишков и недостач"'
	И Я закрываю окно 'Распоряжение на отгрузку * от *'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку очистить у поля "Склад"
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И Я закрываю окно 'Распоряжения на отгрузку'

Сценарий: 017.3. SalesOfProducts. Проверка распоряжения на приемку

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на приемку'
	Тогда открылось окно 'Распоряжения на приемку'
	И из выпадающего списка "Склад" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Костромской'
	И я перехожу к следующему реквизиту
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на приемку * от *'
	И я перехожу к закладке "Товары"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.' | 'Номенклатура'    | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' |
		| '2,000'      | 'кг'  | 'Сыр Адыгейский'  | '<Без маркировки>' | '000001 до 01.11.2019 0:00:00' | '2,000, кг'      |
		| '2,000'      | 'кг'  | 'Сыр Костромской' | '<Без маркировки>' | '000001 до 03.11.2019 0:00:00' | '2,000, кг'      |
	* Проверка способа создания
		И элемент формы 'Способ создания' стал равен 'АРМ "Оформление излишков и недостач"'
	И Я закрываю окно 'Распоряжение на приемку * от *'
	Тогда открылось окно 'Распоряжения на приемку'
	И я нажимаю кнопку очистить у поля "Склад"
	И я нажимаю кнопку очистить у поля "Номенклатура"
	И Я закрываю окно 'Распоряжения на приемку'

Сценарий: 017.4. SalesOfProducts. Завершение

	И Я закрыл все окна клиентского приложения